<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmLibVer Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmLibVer Enumeration

Visual Basic
C#
C++/CLI
Type library and SOLIDWORKS PDM version numbers.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmLibVer
       Inherits System.Enum

C# |
--- | ---

    public enum EdmLibVer : System.Enum

C++/CLI |
--- | ---

    public enum class EdmLibVer : public System.Enum

# Members

Member | Description
--- | ---
EdmLibVer_Major | 5; For SOLIDWORKS PDM 2024
EdmLibVer_Minor | 27; For SOLIDWORKS PDM 2024

# Remarks

The type library version is not the same as the SOLIDWORKS PDM version number that you see in the user interface.

Type Library | SOLIDWORKS PDM
--- | ---
5.9 | 2006
5.10 | 2007
5.11 | 2007 SP03 (64-bit)
5.12 | 2008
5.13 | 2009
5.14 | 2010
5.15 | 2011
5.15 | 2012
5.16 | 2013
5.17 | 2014
5.18 | 2015
5.19 | 2016
5.20 | 2017
5.21 | 2018
5.22 | 2019
5.23 | 2020
5.24 | 2021
5.25 | 2022
5.26 | 2023

# See Also

####

EPDM.Interop.epdm Namespace